Skip to main content
GET
/
api
/
chat
/
tasks
Get Tasks
curl --request GET \
  --url https://api.example.com/api/chat/tasks \
  --header 'Authorization: Bearer <token>'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
per_page
integer
default:10
search
string | null
agent_type
string | null
exclude_agent_type
string | null
execution_mode
string | null
exclude_execution_mode
string | null

Response

Successful Response

The response is of type Response Get Tasks Api Chat Tasks Get · object.